org.eclipse.viatra.query.patternlanguage.ui.contentassist

## Class AbstractPatternLanguageProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.xtext.xbase.ui.contentassist.AbstractXtypeProposalProvider
      - - org.eclipse.xtext.xbase.ui.contentassist.XtypeProposalProvider
        - - org.eclipse.xtext.xbase.ui.contentassist.AbstractXbaseProposalProvider
          - - org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider
            - - org.eclipse.viatra.query.patternlanguage.ui.contentassist.AbstractPatternLanguageProposalProvider

- All Implemented Interfaces:
    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider, org.eclipse.xtext.ui.editor.contentassist.RepeatedContentAssistProcessor.ModeAware
  Direct Known Subclasses:
    PatternLanguageProposalProvider

      public class AbstractPatternLanguageProposalProvider
      extends org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

  Represents a generated, default implementation of superclass `XbaseProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

      `org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider.ProposalBracketInfo, org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider.ValidFeatureDescription`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

      `DESCRIPTION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPatternLanguageProposalProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete_AggregatedValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Annotation(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_AnnotationParameter(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_AnnotationValueReference(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_BoolValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_CheckConstraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_CompareConstraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_CompareFeature(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ComputationValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Constraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ExecutionType(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ExecutionTypeModifier(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Expression(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_FunctionEvaluationValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_JavaType(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ListValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_LiteralValueReference(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_LocalVariable(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Modifiers(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_NumberValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Parameter(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ParameterDirection(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ParameterDirectionModifier(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ParameterRef(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PathExpressionConstraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PathExpressionHead(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PathExpressionTail(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Pattern(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PatternBody(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PatternCall(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PatternCompositionConstraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_PatternModel(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_RefType(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_StringValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_TypeCheckConstraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_ValueReference(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_Variable(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_VariableReference(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_VariableValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAggregatedValue_Aggregator(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAggregatedValue_Call(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAnnotation_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAnnotation_Parameters(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAnnotationParameter_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAnnotationParameter_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeBoolValue_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeCheckConstraint_Expression(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeCompareConstraint_Feature(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeCompareConstraint_LeftOperand(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeCompareConstraint_RightOperand(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeFunctionEvaluationValue_Expression(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeJavaType_ClassRef(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeListValue_Values(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeLocalVariable_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeLocalVariable_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeModifiers_Execution(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeModifiers_Private(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeNumberValue_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeParameter_Direction(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeParameter_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeParameter_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeParameterRef_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeParameterRef_ReferredParam(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeParameterRef_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionConstraint_Head(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionHead_Dst(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionHead_Src(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionHead_Tail(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionHead_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionTail_Tail(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePathExpressionTail_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePattern_Annotations(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePattern_Bodies(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePattern_Modifiers(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePattern_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePattern_Parameters(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternBody_Constraints(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternBody_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternCall_Parameters(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternCall_PatternRef(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternCall_Transitive(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternCompositionConstraint_Call(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternCompositionConstraint_Negative(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternModel_PackageName(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternModel_Patterns(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeRefType_Typename(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeStringValue_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeType_Typename(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeTypeCheckConstraint_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeTypeCheckConstraint_Var(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeVariable_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeVariable_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeVariableReference_Aggregator(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeVariableReference_Var(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeVariableValue_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

      `complete_XExpression, completeBinaryOperationFeature, completeJavaTypes, completeJavaTypes, completeJavaTypes, completeJavaTypes, completeJvmParameterizedTypeReference_Type, completeKeyword, completeWithinBlock, completeXAdditiveExpression_Feature, completeXAndExpression_Feature, completeXAssignment_Feature, completeXBasicForLoopExpression_EachExpression, completeXBasicForLoopExpression_Expression, completeXBasicForLoopExpression_InitExpressions, completeXBasicForLoopExpression_UpdateExpressions, completeXBlockExpression_Expressions, completeXCasePart_Case, completeXCasePart_Then, completeXCatchClause_Expression, completeXClosure_Expression, completeXConstructorCall_Constructor, completeXEqualityExpression_Feature, completeXExpressionInClosure_Expressions, completeXFeatureCall_Feature, completeXForLoopExpression_EachExpression, completeXForLoopExpression_ForExpression, completeXImportDeclaration_ImportedType, completeXMemberFeatureCall_Feature, completeXMultiplicativeExpression_Feature, completeXOrExpression_Feature, completeXOtherOperatorExpression_Feature, completeXPostfixOperation_Feature, completeXRelationalExpression_Feature, completeXRelationalExpression_Type, completeXShortClosure_Expression, completeXSwitchExpression_Default, completeXTypeLiteral_Type, completeXUnaryOperation_Feature, completeXVariableDeclaration_Right, createLocalVariableAndImplicitProposals, createLocalVariableAndImplicitProposals, createReceiverProposals, createVisibilityFilter, createVisibilityFilter, doNotProposeFeatureOfBinaryOperation, filterByConcreteSyntax, getConcreteSyntaxRuleName, getConcreteSyntaxRuleName, getConcreteSyntaxRuleName, getCrossReferenceProposalCreator, getFeatureCallRuleName, getFeatureDescriptionPredicate, getNextCategory, getProposalBracketInfo, getProposalFactory, getQualifiedNameValueConverter, getTypesProposalProvider, getXbaseCrossReferenceProposalCreator, isExplicitOperationCall, isIdRule, isInMemberFeatureCall, isKeywordWorthyToPropose, isKeywordWorthyToPropose, isLastMode, isOperatorRule, isParentOf, lookupCrossReference, nextMode, proposeDeclaringTypeForStaticInvocation, reset`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.AbstractXbaseProposalProvider

      `complete_DECIMAL, complete_FeatureCallID, complete_FullJvmFormalParameter, complete_HEX, complete_IdOrSuper, complete_INT, complete_JvmFormalParameter, complete_Number, complete_OpAdd, complete_OpAnd, complete_OpCompare, complete_OpEquality, complete_OpMulti, complete_OpMultiAssign, complete_OpOr, complete_OpOther, complete_OpPostfix, complete_OpSingleAssign, complete_OpUnary, complete_StaticQualifier, complete_XAdditiveExpression, complete_XAndExpression, complete_XAssignment, complete_XBasicForLoopExpression, complete_XBlockExpression, complete_XBooleanLiteral, complete_XCasePart, complete_XCastedExpression, complete_XCatchClause, complete_XClosure, complete_XCollectionLiteral, complete_XConstructorCall, complete_XDoWhileExpression, complete_XEqualityExpression, complete_XExpressionInClosure, complete_XExpressionOrVarDeclaration, complete_XFeatureCall, complete_XForLoopExpression, complete_XIfExpression, complete_XListLiteral, complete_XLiteral, complete_XMemberFeatureCall, complete_XMultiplicativeExpression, complete_XNullLiteral, complete_XNumberLiteral, complete_XOrExpression, complete_XOtherOperatorExpression, complete_XParenthesizedExpression, complete_XPostfixOperation, complete_XPrimaryExpression, complete_XRelationalExpression, complete_XReturnExpression, complete_XSetLiteral, complete_XShortClosure, complete_XStringLiteral, complete_XSwitchExpression, complete_XSynchronizedExpression, complete_XThrowExpression, complete_XTryCatchFinallyExpression, complete_XTypeLiteral, complete_XUnaryOperation, complete_XVariableDeclaration, complete_XWhileExpression, completeFullJvmFormalParameter_Name, completeFullJvmFormalParameter_ParameterType, completeJvmFormalParameter_Name, completeJvmFormalParameter_ParameterType, completeXAdditiveExpression_RightOperand, completeXAndExpression_RightOperand, completeXAssignment_RightOperand, completeXAssignment_Value, completeXBooleanLiteral_IsTrue, completeXCasePart_FallThrough, completeXCasePart_TypeGuard, completeXCastedExpression_Type, completeXCatchClause_DeclaredParam, completeXClosure_DeclaredFormalParameters, completeXClosure_ExplicitSyntax, completeXConstructorCall_Arguments, completeXConstructorCall_ExplicitConstructorCall, completeXConstructorCall_TypeArguments, completeXDoWhileExpression_Body, completeXDoWhileExpression_Predicate, completeXEqualityExpression_RightOperand, completeXFeatureCall_ExplicitOperationCall, completeXFeatureCall_FeatureCallArguments, completeXFeatureCall_TypeArguments, completeXForLoopExpression_DeclaredParam, completeXIfExpression_Else, completeXIfExpression_If, completeXIfExpression_Then, completeXListLiteral_Elements, completeXMemberFeatureCall_ExplicitOperationCall, completeXMemberFeatureCall_ExplicitStatic, completeXMemberFeatureCall_MemberCallArguments, completeXMemberFeatureCall_NullSafe, completeXMemberFeatureCall_TypeArguments, completeXMemberFeatureCall_Value, completeXMultiplicativeExpression_RightOperand, completeXNumberLiteral_Value, completeXOrExpression_RightOperand, completeXOtherOperatorExpression_RightOperand, completeXRelationalExpression_RightOperand, completeXReturnExpression_Expression, completeXSetLiteral_Elements, completeXShortClosure_DeclaredFormalParameters, completeXShortClosure_ExplicitSyntax, completeXStringLiteral_Value, completeXSwitchExpression_Cases, completeXSwitchExpression_DeclaredParam, completeXSwitchExpression_Switch, completeXSynchronizedExpression_Expression, completeXSynchronizedExpression_Param, completeXThrowExpression_Expression, completeXTryCatchFinallyExpression_CatchClauses, completeXTryCatchFinallyExpression_Expression, completeXTryCatchFinallyExpression_FinallyExpression, completeXTypeLiteral_ArrayDimensions, completeXUnaryOperation_Operand, completeXVariableDeclaration_Name, completeXVariableDeclaration_Type, completeXVariableDeclaration_Writeable, completeXWhileExpression_Body, completeXWhileExpression_Predicate`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.XtypeProposalProvider

      `appendParameters, completeXImportDeclaration_MemberName, getStyledDisplayString, getTypeConverter`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.AbstractXtypeProposalProvider

      `complete_ANY_OTHER, complete_ArrayBrackets, complete_ID, complete_JvmArgumentTypeReference, complete_JvmLowerBound, complete_JvmLowerBoundAnded, complete_JvmParameterizedTypeReference, complete_JvmTypeParameter, complete_JvmTypeReference, complete_JvmUpperBound, complete_JvmUpperBoundAnded, complete_JvmWildcardTypeReference, complete_ML_COMMENT, complete_QualifiedName, complete_QualifiedNameInStaticImport, complete_QualifiedNameWithWildcard, complete_SL_COMMENT, complete_STRING, complete_ValidID, complete_WS, complete_XFunctionTypeRef, complete_XImportDeclaration, complete_XImportSection, completeJvmLowerBound_TypeReference, completeJvmLowerBoundAnded_TypeReference, completeJvmParameterizedTypeReference_Arguments, completeJvmTypeParameter_Constraints, completeJvmTypeParameter_Name, completeJvmUpperBound_TypeReference, completeJvmUpperBoundAnded_TypeReference, completeJvmWildcardTypeReference_Constraints, completeXFunctionTypeRef_ParamTypes, completeXFunctionTypeRef_ReturnType, completeXImportDeclaration_Extension, completeXImportDeclaration_ImportedNamespace, completeXImportDeclaration_Static, completeXImportDeclaration_Wildcard, completeXImportSection_ImportDeclarations`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `announceProcessing, completeAssignment, completeRuleCall, createProposals, getHover, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPatternLanguageProposalProvider

          public AbstractPatternLanguageProposalProvider()

  - ### Method Detail

    - #### completePatternModel_PackageName

          public void completePatternModel_PackageName(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternModel_Patterns

          public void completePatternModel_Patterns(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePattern_Annotations

          public void completePattern_Annotations(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePattern_Modifiers

          public void completePattern_Modifiers(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePattern_Name

          public void completePattern_Name(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePattern_Parameters

          public void completePattern_Parameters(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePattern_Bodies

          public void completePattern_Bodies(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeAnnotation_Name

          public void completeAnnotation_Name(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeAnnotation_Parameters

          public void completeAnnotation_Parameters(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeAnnotationParameter_Name

          public void completeAnnotationParameter_Name(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeAnnotationParameter_Value

          public void completeAnnotationParameter_Value(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeModifiers_Private

          public void completeModifiers_Private(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeModifiers_Execution

          public void completeModifiers_Execution(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariable_Name

          public void completeVariable_Name(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariable_Type

          public void completeVariable_Type(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameterRef_Name

          public void completeParameterRef_Name(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameterRef_ReferredParam

          public void completeParameterRef_ReferredParam(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameterRef_Type

          public void completeParameterRef_Type(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameter_Direction

          public void completeParameter_Direction(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameter_Name

          public void completeParameter_Name(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameter_Type

          public void completeParameter_Type(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeLocalVariable_Name

          public void completeLocalVariable_Name(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeLocalVariable_Type

          public void completeLocalVariable_Type(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableReference_Aggregator

          public void completeVariableReference_Aggregator(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableReference_Var

          public void completeVariableReference_Var(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeType_Typename

          public void completeType_Typename(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeJavaType_ClassRef

          public void completeJavaType_ClassRef(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeRefType_Typename

          public void completeRefType_Typename(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternBody_Name

          public void completePatternBody_Name(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternBody_Constraints

          public void completePatternBody_Constraints(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTypeCheckConstraint_Type

          public void completeTypeCheckConstraint_Type(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTypeCheckConstraint_Var

          public void completeTypeCheckConstraint_Var(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternCompositionConstraint_Negative

          public void completePatternCompositionConstraint_Negative(org.eclipse.emf.ecore.EObject model,
                                                                    org.eclipse.xtext.Assignment assignment,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternCompositionConstraint_Call

          public void completePatternCompositionConstraint_Call(org.eclipse.emf.ecore.EObject model,
                                                                org.eclipse.xtext.Assignment assignment,
                                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternCall_PatternRef

          public void completePatternCall_PatternRef(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternCall_Transitive

          public void completePatternCall_Transitive(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePatternCall_Parameters

          public void completePatternCall_Parameters(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCompareConstraint_LeftOperand

          public void completeCompareConstraint_LeftOperand(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCompareConstraint_Feature

          public void completeCompareConstraint_Feature(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCompareConstraint_RightOperand

          public void completeCompareConstraint_RightOperand(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCheckConstraint_Expression

          public void completeCheckConstraint_Expression(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionConstraint_Head

          public void completePathExpressionConstraint_Head(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionHead_Type

          public void completePathExpressionHead_Type(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionHead_Tail

          public void completePathExpressionHead_Tail(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionHead_Src

          public void completePathExpressionHead_Src(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionHead_Dst

          public void completePathExpressionHead_Dst(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionTail_Type

          public void completePathExpressionTail_Type(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePathExpressionTail_Tail

          public void completePathExpressionTail_Tail(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeStringValue_Value

          public void completeStringValue_Value(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeNumberValue_Value

          public void completeNumberValue_Value(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeBoolValue_Value

          public void completeBoolValue_Value(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableValue_Value

          public void completeVariableValue_Value(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeListValue_Values

          public void completeListValue_Values(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeFunctionEvaluationValue_Expression

          public void completeFunctionEvaluationValue_Expression(org.eclipse.emf.ecore.EObject model,
                                                                 org.eclipse.xtext.Assignment assignment,
                                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeAggregatedValue_Aggregator

          public void completeAggregatedValue_Aggregator(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeAggregatedValue_Call

          public void completeAggregatedValue_Call(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PatternModel

          public void complete_PatternModel(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Pattern

          public void complete_Pattern(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Annotation

          public void complete_Annotation(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_AnnotationParameter

          public void complete_AnnotationParameter(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Modifiers

          public void complete_Modifiers(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ExecutionType

          public void complete_ExecutionType(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ExecutionTypeModifier

          public void complete_ExecutionTypeModifier(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.RuleCall ruleCall,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Variable

          public void complete_Variable(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ParameterRef

          public void complete_ParameterRef(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ParameterDirection

          public void complete_ParameterDirection(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ParameterDirectionModifier

          public void complete_ParameterDirectionModifier(org.eclipse.emf.ecore.EObject model,
                                                          org.eclipse.xtext.RuleCall ruleCall,
                                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Parameter

          public void complete_Parameter(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_LocalVariable

          public void complete_LocalVariable(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Expression

          public void complete_Expression(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableReference

          public void complete_VariableReference(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Type

          public void complete_Type(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_JavaType

          public void complete_JavaType(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_RefType

          public void complete_RefType(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PatternBody

          public void complete_PatternBody(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Constraint

          public void complete_Constraint(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TypeCheckConstraint

          public void complete_TypeCheckConstraint(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PatternCompositionConstraint

          public void complete_PatternCompositionConstraint(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.RuleCall ruleCall,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PatternCall

          public void complete_PatternCall(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_CompareConstraint

          public void complete_CompareConstraint(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_CompareFeature

          public void complete_CompareFeature(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_CheckConstraint

          public void complete_CheckConstraint(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PathExpressionConstraint

          public void complete_PathExpressionConstraint(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PathExpressionHead

          public void complete_PathExpressionHead(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PathExpressionTail

          public void complete_PathExpressionTail(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ValueReference

          public void complete_ValueReference(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_AnnotationValueReference

          public void complete_AnnotationValueReference(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_LiteralValueReference

          public void complete_LiteralValueReference(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.RuleCall ruleCall,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_StringValue

          public void complete_StringValue(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NumberValue

          public void complete_NumberValue(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_BoolValue

          public void complete_BoolValue(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableValue

          public void complete_VariableValue(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ListValue

          public void complete_ListValue(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ComputationValue

          public void complete_ComputationValue(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.RuleCall ruleCall,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_FunctionEvaluationValue

          public void complete_FunctionEvaluationValue(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.RuleCall ruleCall,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_AggregatedValue

          public void complete_AggregatedValue(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)